import {
  AlertDialogCancel,
  AlertDialogContent,
  AlertDialogDescription,
  AlertDialogFooter,
  AlertDialogHeader,
  AlertDialogTitle,
} from './ui/alert-dialog'
import { Button } from './ui/button'

type AlertDialogProps = {
  title: string
  description: string
  handleClick: () => void
}

export default function ModalDialog({
  title,
  description,
  handleClick,
}: AlertDialogProps) {
  return (
    <AlertDialogContent>
      <AlertDialogHeader>
        <AlertDialogTitle>{title}</AlertDialogTitle>
        <AlertDialogDescription>{description}</AlertDialogDescription>
      </AlertDialogHeader>
      <AlertDialogFooter>
        <AlertDialogCancel>Cancelar</AlertDialogCancel>
        <Button
          onClick={handleClick}
          variant="outline"
          className="text-gray-50 bg-red-500 hover:bg-red-500/80"
        >
          Continue
        </Button>
      </AlertDialogFooter>
    </AlertDialogContent>
  )
}
